### Method

# Gtk EventControllerScrollget_unit

since: 4.8

#### Declaration [src]

    GdkScrollUnit
    gtk_event_controller_scroll_get_unit (
      GtkEventControllerScroll* scroll
    )

#### Description [src]

Gets the scroll unit of the last `GtkEventControllerScroll::scroll` signal received.

Always returns `GDK_SCROLL_UNIT_WHEEL` if the `GTK_EVENT_CONTROLLER_SCROLL_DISCRETE` flag is set.

Available since: 4.8

#### Return value

Type: `GdkScrollUnit`

The scroll unit.